{% load basket_tags %}
{% load i18n %}
{% load purchase_info_tags %}
{% load thumbnail %}
{% load widget_tweaks %}

{% purchase_info_for_product request product as session %}

{% if session.availability.is_available_to_buy %}
    {% basket_form request product 'single' as basket_form %}
    <form action="{% url 'basket:add' pk=product.pk %}?render_quick_basket=True" method="post" class="basket-change-form" data-name="{{ name }}" data-yandex-goal="vkorzin">
        {% csrf_token %}
        {% render_field basket_form.pack hidden="" %}
        {% render_field basket_form.quantity hidden="" %}
        <button type="submit" class="btn btn-block btn__gold">В КОРЗИНУ</button>
    </form>
{% else %}
    <a href="#" class="product-alert" data-toggle="modal" data-target="#requestAlert"
        data-product-id="{{ product.id }}" data-product-title="{{ product.title }}"
        data-product-price="{% spaceless %}
            {% if session.price.has_range_discount %}
                {% if session.price.is_tax_know %}
                    {{ session.price.incl_range_discount_incl_tax|floatformat:0 }}
                {% else %}
                    {{ session.price.incl_range_discount_excl_tax|floatformat:0 }}
                {% endif %}
            {% else %}
                {% if session.price.is_tax_know %}
                    {{ session.price.incl_tax|floatformat:0 }}
                {% else %}
                    {{ session.price.excl_tax|floatformat:0 }}
                {% endif %}
            {% endif %}
        {% endspaceless %}"
        {% thumbnail product.primary_image.original '370x370' padding=True as im %}
        data-product-img="{{ im.url }}"
        {% endthumbnail %}

    >ОФОРМИТЬ ПРЕДЗАКАЗ</a>
{% endif %}
